LibreOffice: SheetFilterDescriptor Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
SheetFilterDescriptor Service Referencepublished

represents a description of how a cell range is to be filtered. More...

Inheritance diagram for SheetFilterDescriptor:

## Exported Interfaces
interface | XSheetFilterDescriptor
| provides access to the collection of filter fields.
interface | XSheetFilterDescriptor2
| provides access to the collection of filter fields.
interface | com::sun::star::beans::XPropertySet
| published service PropertySet

## Public Attributes
boolean | IsCaseSensitive
| specifies if the case of letters is important when comparing entries.
boolean | SkipDuplicates
| specifies if duplicate entries are left out of the result.
boolean | UseRegularExpressions
| specifies if the TableFilterField::StringValue strings are interpreted as regular expressions.
boolean | SaveOutputPosition
| specifies if the SheetFilterDescriptor::OutputPosition position is saved for future calls.
com::sun::star::table::TableOrientation | Orientation
| specifies if columns or rows are filtered.
boolean | ContainsHeader
| specifies if the first row (or column) contains headers which should not be filtered.
boolean | CopyOutputData
| specifies if the filtered data should be copied to another position in the document.
com::sun::star::table::CellAddress | OutputPosition
| specifies the position where filtered data are to be copied.
long | MaxFieldCount
| returns the maximum number of filter fields in the descriptor.

## Additional Inherited Members
Public Member Functions inherited from XSheetFilterDescriptor
sequence< TableFilterField > | getFilterFields ()
| returns the collection of filter fields.
void | setFilterFields ([in] sequence< TableFilterField > aFilterFields)
| sets a new collection of filter fields.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XSheetFilterDescriptor2
sequence< TableFilterField2 > | getFilterFields2 ()
| returns the collection of filter fields.
void | setFilterFields2 ([in] sequence< TableFilterField2 > aFilterFields)
| sets a new collection of filter fields.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.

## Detailed Description

represents a description of how a cell range is to be filtered.

The descriptor contains properties and a collection of filter conditions (filter fields) which control the behavior of a filter operation.

Developers Guide
  Spreadsheet Documents - Filtering

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

published service PropertySet

provides access to the properties.

## ◆ XSheetFilterDescriptor

interface XSheetFilterDescriptor

provides access to the collection of filter fields.

## ◆ XSheetFilterDescriptor2

interface XSheetFilterDescriptor2
| optional

provides access to the collection of filter fields.

This interface provides a sequence of TableFilterField2 structures supporting a wider range of comparison operators, compared to the TableFilterField structure provided by interface XSheetFilterDescriptor.

Since
  OOo 3.2

## Member Data Documentation

## ◆ ContainsHeader

boolean ContainsHeader
| property

specifies if the first row (or column) contains headers which should not be filtered.

## ◆ CopyOutputData

boolean CopyOutputData
| property

specifies if the filtered data should be copied to another position in the document.

## ◆ IsCaseSensitive

boolean IsCaseSensitive
| property

specifies if the case of letters is important when comparing entries.

## ◆ MaxFieldCount

long MaxFieldCount
| propertyreadonly

returns the maximum number of filter fields in the descriptor.

This read-only property indicates the maximum count of fields the current implementation supports.

## ◆ Orientation

com::sun::star::table::TableOrientation Orientation
| property

specifies if columns or rows are filtered.

## ◆ OutputPosition

com::sun::star::table::CellAddress OutputPosition
| property

specifies the position where filtered data are to be copied.

This is only used if SheetFilterDescriptor::CopyOutputData is `TRUE`.

## ◆ SaveOutputPosition

boolean SaveOutputPosition
| property

specifies if the SheetFilterDescriptor::OutputPosition position is saved for future calls.

This is only used if SheetFilterDescriptor::CopyOutputData is `TRUE`.

## ◆ SkipDuplicates

boolean SkipDuplicates
| property

specifies if duplicate entries are left out of the result.

## ◆ UseRegularExpressions

boolean UseRegularExpressions
| property

specifies if the TableFilterField::StringValue strings are interpreted as regular expressions.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SheetFilterDescriptor.idl